Subject: Re: bug#33261: [substitute-urls] Fails when given only "berlin.guixsd.org"

From: [email-masked] (Ludovic Courtès)
Date: Tue, 06 Nov 2018 15:07:26 +0100

Hello,

Leo Famulari <[email-masked]> skribis:

> On Mon, Nov 05, 2018 at 07:13:22PM +0100, Björn Höfling wrote:
>> I would not consider this a bug: It clearly says that it is not a
>> proper URI. Also in the documentation all URLs/URIs are written in the
>> form of 
>> 
>> PROTOCOL://SERVER/PATH.
>
> I agree that it's not a bug, but perhaps it's more like a wishlist item.
>
> Ideally, users would not need to concern themselves with implementation
> details like protocol selection.
>
> Guix could offer a more unified or simpler interface for authorizing and
> selecting substitute servers, and it would handle server addresses,
> communication protocols, and key authorization. Currently it's very
> ad-hoc.

I agree with the goal, but it’s really a long-term goal with lots of
open issues that go way beyond Guix AIUI (for instance, how do you map a
public key to an actual “address”?.)

So I’m closing it as not-a-bug, but feel free to open a wishlist item
where we can discuss other ways to handle substitutes in the future.

Thanks,
Ludo’.